﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.OrganizationFunctions
@{
    ViewData["Title"] = "Index";
}

<script src="~/Script/ApplicationManagement/OrganizationFunction.js"></script>
@*<script src="~/Script/Master/Layout.js"></script>*@
<script>
    $(document).ready(function () {
        $('.chosen-select').chosen();
    })
</script>
<style>
    .btnAdd {
        border: 1px solid #c3bbbbee;
        padding: 2px 10px;
        color: #61c1c1;
        background-color: #ffff;
        border-radius: 5px;
    }

    .service_line {
        width: 100%;
        float: left;
        display: block;
    }

    .htn {
        margin-top: 44px !important;
        margin-left: 5px;
    }

    .functions {
        border-bottom: 1px solid #22a9b7;
        padding-bottom: 35px;
    }

    .collapsebtn {
        width: 30px;
        height: 30px;
        border: solid 2px #ccc;
        margin: 0px 15px;
        border-radius: 90%;
        margin-top: 41px;
        position: relative;
        cursor: pointer;
    }

        .collapsebtn::after {
            content: "";
            width: 16px;
            height: 0px;
            background: #ccc;
            border-top: solid 2px #ccc;
            position: absolute;
            top: 12px;
            left: 5px;
        }

        .collapsebtn::before {
            content: "";
            height: 16px;
            width: 2px;
            width: 0px;
            border-right: solid 2px #ccc;
            position: absolute;
            left: 12px;
            top: 5px;
            opacity: 1;
        }

    .functions.active .collapsebtn::before {
        opacity: 0;
    }

    .functions .divProcess {
        display: none;
    }

    .functions.active .divProcess {
        display: block;
    }

    .addbtn {
        /* width: 100%; */
        float: right !important;
        margin-top: -35px;
    }
</style>

<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Function And Process</h1>
            <div class="titile_line"></div>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line">
                        
                            @Html.HiddenFor(m => m.Id)
                            @Html.HiddenFor(m => m.xmlFunction)
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Organization</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownListFor(m => m.OrgID, Model.DdlOrganization, "--Select--", new { @class = "form-control m_no chosen-select", required = "required", onchange = "fn_ShowFun(this)" })
                                    </div>
                                </div>
                            </div>
                            <div class="pb-3" id="formFunctionsProcesses" style="display:none">
                                <div class="pb-2 mt-4 mb-2 box_title" style="border-bottom: 1px solid #22a9b7 !important">
                                    <span id="spnFunName">Enter Functions of</span>
                                    <div class="addbtn">
                                        <div class="add_litigation">
                                            <span>+</span>
                                            <input type="button" class="pull-right btnAdd" onclick="fn_AddFunction();" value="Add Function">
                                        </div>
                                    </div>
                                </div>
                                <div class="addmultiName" id="multiFunctionDiv">
                                </div>
                            </div>
                            <div class="row pt-3">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="back_btn">
                                        <div class="back_btn_in">
                                            <a data-ajax="true" type="button" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="ChildOrganization" asp-area="ApplicationManagement">Back</a>
                                        </div>
                                    </div>
                                    <div class="submitbtn" style="display:none">
                                        <input type="submit" value="Submit" onclick="fn_SaveFunctionxml();">
                                    </div>
                                </div>
                            </div>
                       
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>